/*

Copyright 2011 Giuseppe Cosentino Borgese <gicos.2@gmail.com>

This file is part of gSudoku.

gSudoku is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

gSudoku is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with gSudoku.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include "SudokuDB.h"

SudokuDB::SudokuDB() {

}

string SudokuDB::readSudoku(int level){
	vector<string> sdDB;
	string nFile = "SudokuDB";
	switch(level){
	case 0:
		nFile.append("Easy");
		break;
	case 1:
		nFile.append("Medium");
		break;
	case 2:
		nFile.append("Hard");
		break;
	}

	ifstream sFile(nFile.c_str());
	if(sFile.fail()){
		return "58.7...3249....7656..359.....597.3....4.3.8....9.821.....896..3318....4995...3.78";
	}
	do{
		string sdLine;
		getline(sFile, sdLine);
		sdLine.resize(81);
		sdDB.push_back(sdLine);
	}while(!sFile.eof());

	srand(time(0));
	return sdDB[rand() % sdDB.size()];
}
