/*

Copyright 2011 Giuseppe Cosentino Borgese <gicos.2@gmail.com>

This file is part of gSudoku.

gSudoku is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

gSudoku is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with gSudoku.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef GUIERROR_H_
#define GUIERROR_H_

#include <string>
#include <vector>
#include "curses.h"

using namespace std;
class GUIError {
private:
	WINDOW *mainWin, *errorWin;
	bool onlyOK;
public:
	GUIError(WINDOW *, int, int, bool);
	bool showError(string);
	~GUIError();
};

#endif /* GUIERROR_H_ */
